
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org GSM Debug Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.GSM.Debug</h1><h2>Description</h2>
<p>The Debug interface is used to debug (sic!). You can ping the device,  execute test commands, inject unsolicited responses, or be updated  about the detailed modem status.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.GSM.Debug</tt></p>
<h2>Methods</h2><ul>
<li><a href="#DebugCommand">DebugCommand</a></li>
<li><a href="#DebugInjectResponse">DebugInjectResponse</a></li>
<li><a href="#DebugPing">DebugPing</a></li>
</ul>
<h2>Signals</h2><ul>
<li><a href="#DebugStatus">DebugStatus</a></li>
</ul>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="DebugCommand">DebugCommand</a> ( ss ) &rarr; s</h3>
<p><i>Description:</i> Sends a debug command. </p><p><div class="rationale"><p>WARNING: Only use this, if you know what you are doing.  You may crash the device or the service, if you send bogus commands. </p></div></p><h4>Parameters</h4><i>s: command</i><p>The command to send. Note that the validity of commands depends  on the actual modem channel. Not all modem channels are AT channels!  It is recommended to implement a 'help' command that returns a  list of valid commands. </p><i>s: channel</i><p>The channel to send this command on. Set to "" to use the default one. </p><h4>Returns</h4><i>s: result</i><p>The result of the command </p>
<h3><a name="DebugInjectResponse">DebugInjectResponse</a> ( ss )</h3>
<p><i>Description:</i> Injects an unsolicited response into the command queue. </p><p><div class="rationale"><p>WARNING: Only use this, if you know what you are doing.  You may crash the device or the service, if you inject bogus responses. </p></div></p><h4>Parameters</h4><i>s: response</i><p>The response to inject. </p><i>s: channel</i><p>The channel to inject this command on. Set to "" to use the default one. </p>
<h3><a name="DebugPing">DebugPing</a> ( )</h3><p><i>Description:</i> Ping the device. </p>
<h1>Signals</h1><h3><h3><a name="DebugStatus">DebugStatus</a> ( a{ss} )</h3><p><i>Description:</i> Sent, when the modem status changes. </p><h4>Parameters</h4><i>a{ss}: channels</i><p> </p></h3>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

